> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Loading

> Data Loading endpoint.

Creates Data Loading job.

Args:
    user (User): User authenticated with api key.
    data (DataLoadingSubmitModel): The payload for data loading.

Returns:
    DataLoadingJobModel: The new job object.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /data_loading
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /data_loading:
    post:
      summary: Data Loading
      description: |-
        Data Loading endpoint.

        Creates Data Loading job.

        Args:
            user (User): User authenticated with api key.
            data (DataLoadingSubmitModel): The payload for data loading.

        Returns:
            DataLoadingJobModel: The new job object.
      operationId: data_loading_data_loading_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataLoadingSubmitModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataLoadingJobModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    DataLoadingSubmitModel:
      properties:
        experiment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Id
          default: ''
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          default: ''
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
        num_qubits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Qubits
        distribution_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Distribution Name
        dl_type:
          type: string
          title: Dl Type
          default: ''
      type: object
      required:
        - parameters
      title: DataLoadingSubmitModel
      description: Data Loading payload data model.
    DataLoadingJobModel:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        user_id:
          type: integer
          title: User Id
        experiment_id:
          type: string
          title: Experiment Id
        status:
          $ref: '#/components/schemas/JobStatus'
        job_type:
          $ref: '#/components/schemas/JobType'
        device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Device Id
          default: Haiqu OS
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        run_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Run Date
        finish_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finish Date
        logs:
          anyOf:
            - type: string
            - type: 'null'
          title: Logs
        quality:
          anyOf:
            - type: number
            - type: 'null'
          title: Quality
        info:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Info
        time:
          anyOf:
            - type: number
            - type: 'null'
          title: Time
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
        num_qubits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Qubits
        distribution_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Distribution Name
        dl_type:
          $ref: '#/components/schemas/DataLoadingType'
        circuit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Circuit Id
        fidelity:
          anyOf:
            - type: number
            - type: 'null'
          title: Fidelity
      type: object
      required:
        - id
        - user_id
        - experiment_id
        - status
        - job_type
        - creation_date
        - parameters
        - num_qubits
        - dl_type
      title: DataLoadingJobModel
      description: Data Loading Job (running on Haiqu backend).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - Submitted
        - Initializing
        - Queued
        - Validating
        - Running
        - Cancelled
        - Done
        - Error
      title: JobStatus
      description: Class for job status.
    JobType:
      type: string
      enum:
        - User local job
        - Analytics
        - Device specific analytics
        - Data Loading
        - Hybrid
        - Run
        - State Compression
        - Transpilation
        - Variational
        - Pretraining
        - SKQD
      title: JobType
      description: Class for job types.
    DataLoadingType:
      type: string
      enum:
        - DistributionLoading
        - VectorLoading
        - BlockVectorLoading
        - EntangledManifoldEmbedding
        - MpsLoading
        - FunctionLoading
      title: DataLoadingType
      description: Class for `dl_type`.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````